GCLOUD_SQL_INSTANCES_SET-ROOT-PASSWORD(1)

NAME

gcloud sql instances set-root-password - sets the password of the MySQL root user

SYNOPSIS

gcloud sql instances set-root-password INSTANCE (--password=PASSWORD, -p PASSWORD | --password-file=PASSWORD_FILE | --prompt-for-password) [--async] [GCLOUD_WIDE_FLAG ...]

DESCRIPTION
(DEPRECATED) Sets the password of the MySQL root user. This command is deprecated and will be removed in version 162.0.0. Please use users set-password as an alternative.

POSITIONAL ARGUMENTS

    INSTANCE
        Cloud SQL instance ID.

REQUIRED FLAGS
Exactly one of these must be specified:

    --password=PASSWORD, -p PASSWORD
        The password for the root user. WARNING: Setting password using this option can potentially expose the password to other users of this machine. Instead, you can use --password-file to get the password from a file.

    --password-file=PASSWORD_FILE
        The path to the filename which has the password to be set. The first line of the file will be interpreted as the password to be set.

    --prompt-for-password
        Prompt for the Cloud SQL user's password with character echo disabled. The password is all typed characters up to but not including the RETURN or ENTER key.

OPTIONAL FLAGS

    --async
        Display information about the operation in progress, without waiting for the operation to complete.

GCLOUD WIDE FLAGS
These flags are available to all commands: --account, --configuration, --flatten, --format, --help, --log-http, --project, --quiet, --trace-token, --user-output-enabled, --verbosity. Run $ gcloud help for details.